<?php

namespace Mavabc\Casestudy\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Casestudy extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'mavabc.casestudy.casestudy.model';


    /**
     * The casestudies_categories that belong to the casestudy.
     */
    public function casestudies_categories(){
        return $this->hasOne('Casestudy\Casestudy\Models\Casestudies_category');
    }
}
