<?php

namespace Mavabc\Casestudy\Repositories\Eloquent;

use Mavabc\Casestudy\Interfaces\CasestudiesCategoryRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CasestudiesCategoryRepository extends BaseRepository implements CasestudiesCategoryRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('mavabc.casestudy.casestudies_category.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('mavabc.casestudy.casestudies_category.model.model');
    }
}
